# Uses of Enum Class
org.apache.solr.client.solrj.SolrRequest.SolrRequestType

Packages that use SolrRequest.SolrRequestType
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of SolrRequest.SolrRequestType in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return SolrRequest.SolrRequestType
Modifier and Type
Method
Description
`SolrRequest.SolrRequestType`
SolrRequest.`getRequestType()`
The type of this Solr request.
`static SolrRequest.SolrRequestType`
SolrRequest.SolrRequestType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SolrRequest.SolrRequestType[]`
SolrRequest.SolrRequestType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.client.solrj with parameters of type SolrRequest.SolrRequestType
Modifier and Type
Method
Description
`void`
SolrRequest.`setRequestType(SolrRequest.SolrRequestType requestType)`
Constructors in org.apache.solr.client.solrj with parameters of type SolrRequest.SolrRequestType
Modifier
Constructor
Description
``
`SolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`

## Uses of SolrRequest.SolrRequestType in org.apache.solr.client.solrj.request

Constructors in org.apache.solr.client.solrj.request with parameters of type SolrRequest.SolrRequestType
Modifier
Constructor
Description
``
`CollectionRequiringSolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`
``
`GenericSolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`
``
`GenericSolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType, SolrParams params)`
``
`GenericV2SolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType)`
``
`GenericV2SolrRequest(SolrRequest.METHOD m, String path, SolrRequest.SolrRequestType requestType, SolrParams params)`